Subject: Re: bug#60227: guile-ssh 0.16 update

From: Ludovic Courtès <[email-masked]>
Date: Wed, 21 Dec 2022 23:38:46 +0100

Howdy!

Vagrant Cascadian <[email-masked]> skribis:

> Well, that is what I did, pulled guix to the curren wip-guile-ssh-0.16
> branch (which contains an update to guile-ssh 0.16 and updates guix to
> use a commit containing that), and managed to guix copy from one machine
> to another, so I *think* we are good!

As mentioned on IRC, I tested it with ‘GUIX_DAEMON_SOCKET=ssh://…’ and
‘guix copy’, and it all seems good.  So I think you can go ahead!

> Patch attached for the guile-ssh update. Once that lands in master we
> can consider updating guix to use it...

No need to update the ‘guix’ package, or am I missing something?  The
‘guix’ package depends on guile-ssh, so it’ll end up using the new
version anyway.

Thanks!

Ludo’.